Articles of importerror

Alternativas a imp.find_module?

Fondo Me he cansado del problema de que pylint no puede importar archivos cuando usas paquetes de espacio de nombres y divides tu base de código en carpetas separadas. Como tal, comencé a indagar en el código fuente de astNG que se ha identificado como la fuente del problema (consulte el informe de error 8796 […]

ImportError: No hay un módulo llamado pynotify. Mientras el módulo está instalado

Así que este error sigue volviendo. Cada vez que trato de afinar el script vuelve diciendo: Traceback (most recent call last): File “cli.py”, line 11, in import pynotify ImportError: No module named pynotify Lo extraño es que acabo de instalar este plugin. También reinicié el símbolo del sistema ya, incluso la computadora. ¡Pero nada, si […]

Instalación de Pandas en Mac OS X: ImportError (no se puede importar el nombre de tabla hash)

Me gustaría construir pandas desde la fuente en lugar de usar un gestor de paquetes porque estoy interesado en contribuir. La primera vez que traté de construir pandas, estos fueron los pasos que tomé: 1) creó el virtualenv mkvirtualenv –no-site-packages pandas 2) activado el virtualenv 3) instalado el CE de anaconda. Sin embargo, esto se […]

ImportError: No hay módulo llamado mock

Así que estoy tratando de usar unittest.mock para burlarme de algunos de mis métodos en mis pruebas unitarias. Hago: from unittest.mock import MagicMock f = open(“data/static/mock_ffprobe_response”) subprocess.check_output = MagicMock(return_value=f.read()) f.close() Pero estoy recibiendo: ImportError: No module named mock Lo intenté: pip install mock Todavía no está funcionando.

Problema al intentar instalar PyCurl en Mac Snow Leopard

Mi aplicación necesita usar PyCurl, así que intenté instalarla en mi Mac pero encontré muchos problemas y errores. Requisito: En primer lugar, debo decir que la versión de Python que funciona en mi Mac está basada en 32 bits, porque necesito usar WxPython, que necesita Python de 32 bits. Para hacer esto utilicé: defaults write […]

El módulo Virtualenv __future__ funciona en la línea de comandos, pero no mientras se ejecuta dev_appserver.py

Me encuentro con un error extraño al ejecutar App Engine desde mi virtualenv . Aquí está el error: File “/home/matthew/dev/sdks/google_appengine_1.5.2/google/appengine/tools/dev_appserver.py”, line 2318, in LoadModuleRestricted description) File “/home/matthew/dev/projects/webapp2/project/src/webapp2.py”, line 11, in from __future__ import with_statement ImportError: No module named __future__ Si ejecuto python en mi virtualenv y import __future__ , se importa. Si desactivo mi virtualenv […]

Importar cv2 error python

Cuando bash importar cv2, siempre obtengo este error import cv2 Traceback (most recent call last): File “”, line 1, in ImportError: /usr/lib/libgdal.so.1: undefined symbol: sqlite3_column_table_name Ya he creado un enlace simbólico y también he instalado el módulo libgdal-dev desde el Centro de software de Ubuntu. ¿Algunas ideas? ¡Gracias! EDITAR : Hice lo que pbu sugirió, […]

cx_Oracle – Error en la carga de DLL

Tengo un problema al importar cx_Oracle con Python. Sé que se han discutido muchos problemas con cx_Oracle aquí, pero parece que no puedo encontrar una solución a mi problema después de leer todos los temas relacionados. Tengo dos máquinas, una es mi computadora y la otra es una estación de trabajo remota, que tienen configuraciones […]

Error extraño al importar configuraciones en django

Tengo muchos proyectos trabajando en ubuntu con python2.7 y virtualenv / virtualenvwrapper, en mi trabajo algunos desarrolladores trabajan con macosx y windows, generalmente creo el proyecto como siempre: django-admin.py start project x Y usamos svn para cvs, pero en algún punto, sin nada racional para mí, cuando bash algo como: python manage.py runserver no funciona, […]

Error de importación de wxPython

Tengo problemas para descubrir un mensaje de error en Python. ayer, instalé python con el último paquete de EPD y wxPython2.9 con el paquete wxPython2.9-osx-cocoa-py2.7 para Mac OS. Luego agregué wx a mi PYTHONPATH. export WXDIR=/usr/local/lib/wxPython-2.9.1.1/lib/python2.7/site-packages/wx-2.9.1-osx_cocoa export PYTHONPATH=$WXDIR export PYTHONPATH=$PYTHONPATH:$WXDIR/tools pero cuando trato de ejecutar cosas me sale este error: In [14]: import matplotlib.pyplot ————————————————————————— […]